## rfcat 2.0.1

=== requirements.txt ===
pyusb
future
ipython
pyserial
numpy
