=== debian/changelog ===
rfcat (1:2.0.1-0kali3) kali-dev; urgency=medium

  [ X0RW3LL ]
  * Fix Python 3.12 Syntax Warnings (use raw strings)

  [ Sophie Brun ]
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 16:30:13 +0200

rfcat (1:2.0.1-0kali2) kali-dev; urgency=medium

  * Remove usage of python3-future

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Jan 2024 13:58:10 +0100

rfcat (1:2.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Aug 2023 10:23:00 +0200

rfcat (1:2.0.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 2.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 May 2023 11:23:38 +0200

rfcat (1:1.9.7-0kali1) kali-dev; urgency=medium

  * New upstream version 1.9.7

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Dec 2022 11:54:38 +0100

rfcat (1:1.9.6-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ben Wilson ]
  * Update email address
  * Consistency with tabs to spaces

  [ Sophie Brun ]
  * New upstream version 1.9.6
  * Refresh patches
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no change)
  * Remove unknown field "Description" from debian/upstream/metadata
  * Add manpage rfcat

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Aug 2022 15:35:31 +0200

rfcat (1:1.9.5-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Description.

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 1.9.5
  * Remove useless patch
  * Bump Standards-Version to 4.5.1
  * Add an epoch 1: because upstream changed the versioning scheme
  * Add missing build-dep python3-setuptools

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 May 2021 17:23:00 +0200

rfcat (190423-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Use https for Vcs-Browser URL
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 190423
  * Remove obsolete patch
  * Add a patch to Python 3
  * Fix doc installation
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Jan 2020 09:31:47 +0100

rfcat (170508-0kali3) kali-dev; urgency=medium

  * Misc packaging updates (fix Maintainer & Priority, update debhelper compat)
  * Switch to pyside2 instead of pyside
  * Drop libusb dependency, python-usb has it for us already
  * Update Homepage and watch file to ensure we track new releases
    from the proper location.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 31 Jan 2019 16:01:54 +0100

rfcat (170508-0kali2) kali-dev; urgency=medium

  * Fix autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 May 2017 14:49:15 +0200

rfcat (170508-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add a basic autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 May 2017 11:57:40 +0200

rfcat (161011-0kali2) kali-dev; urgency=medium

  * Fix debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Feb 2017 15:04:55 +0100

rfcat (161011-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Oct 2016 14:15:58 +0200

rfcat (150225-0kali1) kali-dev; urgency=low

  [ Mati Aharoni ]
  * Updated watch file

  [ Sophie Brun ]
  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jul 2015 12:04:22 +0200

rfcat (130515-0kali1) kali; urgency=low

  * Initial release.

 -- Mati Aharoni <muts@kali.org>  Wed, 12 Jun 2013 09:21:25 -0400
