=== debian/control ===
Source: rfcat
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-numpy,
               python3-pyside2.qtcore,
               python3-pyside2.qtgui,
               python3-pyside2.qtwidgets,
               python3-setuptools,
               python3-usb
Standards-Version: 4.6.2
Homepage: https://github.com/atlas0fd00m/rfcat
Vcs-Git: https://gitlab.com/kalilinux/packages/rfcat.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rfcat

Package: rfcat
Architecture: any
Depends: ipython3,
         python3-numpy,
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtwidgets,
         python3-serial,
         python3-usb,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: metasploit-framework
Description: Swiss army knife of sub-GHz radio
 Rfcat is a sub GHz analysis tool. The goals of the project are to reduce the
 time for security researchers to create needed tools for analyzing unknown
 targets, to aid in reverse-engineering of hardware.
