=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE_python3.8=test

%:
	dh $@ --with python3 --buildsystem=pybuild
