=== debian/tests/control ===
Test-Command: rfcat -h && rfcat_msfrelay -h
